curl --request GET \
--url https://api.rewind.rest/v1/listening/recent \
--header 'Authorization: Bearer <token>'{
"data": [
{
"track": {
"id": 1001,
"name": "bad idea right?",
"url": "https://www.last.fm/music/Olivia+Rodrigo/_/bad+idea+right%3F",
"apple_music_url": null,
"preview_url": null
},
"artist": {
"id": 37,
"name": "Olivia Rodrigo"
},
"album": {
"id": 20,
"name": "GUTS",
"image": {
"url": "https://cdn.rewind.rest/listening/albums/20/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "HBkKHQi694WIeIiAh3Z3d2eAd4B3",
"dominant_color": "#5c4a6d",
"accent_color": "#c4a8d4"
}
},
"scrobbled_at": "2026-03-18T22:14:04.000Z"
},
{
"track": {
"id": 1002,
"name": "Sabotage",
"url": "https://www.last.fm/music/Beastie+Boys/_/Sabotage",
"apple_music_url": null,
"preview_url": null
},
"artist": {
"id": 130,
"name": "Beastie Boys"
},
"album": {
"id": 500,
"name": "Ill Communication",
"image": null
},
"scrobbled_at": "2026-03-18T22:10:00.000Z"
},
{
"track": {
"id": 1003,
"name": "Come as You Are",
"url": "https://www.last.fm/music/Nirvana/_/Come+as+You+Are",
"apple_music_url": "https://music.apple.com/us/album/come-as-you-are/1440783617?i=1440783636&uo=4",
"preview_url": null
},
"artist": {
"id": 189,
"name": "Nirvana"
},
"album": {
"id": 300,
"name": "Nevermind",
"image": null
},
"scrobbled_at": "2026-03-18T22:05:00.000Z"
}
]
}Returns the most recent scrobbles. Supports date filtering via date, from, and to params and page-based pagination.
curl --request GET \
--url https://api.rewind.rest/v1/listening/recent \
--header 'Authorization: Bearer <token>'{
"data": [
{
"track": {
"id": 1001,
"name": "bad idea right?",
"url": "https://www.last.fm/music/Olivia+Rodrigo/_/bad+idea+right%3F",
"apple_music_url": null,
"preview_url": null
},
"artist": {
"id": 37,
"name": "Olivia Rodrigo"
},
"album": {
"id": 20,
"name": "GUTS",
"image": {
"url": "https://cdn.rewind.rest/listening/albums/20/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "HBkKHQi694WIeIiAh3Z3d2eAd4B3",
"dominant_color": "#5c4a6d",
"accent_color": "#c4a8d4"
}
},
"scrobbled_at": "2026-03-18T22:14:04.000Z"
},
{
"track": {
"id": 1002,
"name": "Sabotage",
"url": "https://www.last.fm/music/Beastie+Boys/_/Sabotage",
"apple_music_url": null,
"preview_url": null
},
"artist": {
"id": 130,
"name": "Beastie Boys"
},
"album": {
"id": 500,
"name": "Ill Communication",
"image": null
},
"scrobbled_at": "2026-03-18T22:10:00.000Z"
},
{
"track": {
"id": 1003,
"name": "Come as You Are",
"url": "https://www.last.fm/music/Nirvana/_/Come+as+You+Are",
"apple_music_url": "https://music.apple.com/us/album/come-as-you-are/1440783617?i=1440783636&uo=4",
"preview_url": null
},
"artist": {
"id": 189,
"name": "Nirvana"
},
"album": {
"id": 300,
"name": "Nevermind",
"image": null
},
"scrobbled_at": "2026-03-18T22:05:00.000Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
1 <= x <= 5010
x >= 11
Single day (YYYY-MM-DD). Overrides from/to.
^\d{4}-\d{2}-\d{2}$"2025-02-17"
Range start, inclusive (ISO 8601)
"2025-02-01T00:00:00Z"
Range end, inclusive (ISO 8601)
"2025-02-28T23:59:59Z"
Recent scrobbles
Show child attributes